%global packname  annotate


%global rlibdir %{_datadir}/R/library


Name:             R-%{packname}
Version:          1.28.0
Release:          1%{?dist}
Summary:          Annotation for microarrays

Group:            Applications/Engineering 
License:          Artistic-2.0
URL:              http://www.bioconductor.org/packages/release/bioc/src/contrib/annotate_1.28.0.tar.gz
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/annotate_1.28.0.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R-core

Requires:         R >= 2.4.0 R-AnnotationDbi >= 0.1.15 R-xtable
Requires:         R-Biobase  R-Biostrings >= 2.4.4  R-tkWidgets R-XML
BuildRequires:    R-devel tex(latex) R >= 2.4.0 R-AnnotationDbi >= 0.1.15 R-Biobase
BuildRequires:    R-Biostrings >= 2.4.4 R-tkWidgets R-XML R-xtable

%description
Using R enviroments for annotation.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Fails for dependency, but the dependencies are only data
# except for R-genefilter which cannot build without R-annotate
#%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/COPYING
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/misc


%changelog
* Sat Jan 29 2011 pingou <pingou@pingoured.fr> 1.28.0-1
- initial package for Fedora
